using InABox.Clients;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace InABox.Client.IPC
{

    public class IPCException : Exception
    {
        public StatusCode? Status;

        public IPCException(IEnumerable<string> messages) : base(string.Join("\n", messages))
        {
        }

        public IPCException(string message) : base(message)
        {
        }

        public IPCException(string message, StatusCode statusCode) : base(message)
        {
            Status = statusCode;
        }
    }
}
